Commit b9ba9a28 authored by Sebastian Dröge's avatar Sebastian Dröge

[MOVED FROM BAD 132/134] vp8: Require latest libvpx release (1.1.0 from May 2012)

Fixes bug #684116 and simplifies configure checks.
parent 711ae3c9
......@@ -54,10 +54,6 @@
GST_DEBUG_CATEGORY_STATIC (gst_vp8dec_debug);
#define GST_CAT_DEFAULT gst_vp8dec_debug
#ifndef HAVE_VP8_MFQE
#define VP8_MFQE (1<<10)
#endif
#define DEFAULT_POST_PROCESSING FALSE
#define DEFAULT_POST_PROCESSING_FLAGS (VP8_DEBLOCK | VP8_DEMACROBLOCK | VP8_MFQE)
#define DEFAULT_DEBLOCKING_LEVEL 4
......@@ -456,11 +452,7 @@ open_codec (GstVP8Dec * dec, GstVideoCodecFrame * frame)
if ((caps & VPX_CODEC_CAP_POSTPROC) && dec->post_processing) {
vp8_postproc_cfg_t pp_cfg = { 0, };
#ifndef HAVE_VP8_MFQE
pp_cfg.post_proc_flag = (dec->post_processing_flags & (~VP8_MFQE));
#else
pp_cfg.post_proc_flag = dec->post_processing_flags;
#endif
pp_cfg.deblocking_level = dec->deblocking_level;
pp_cfg.noise_level = dec->noise_level;
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment